artificialFastqGenerator

## Class ArtificialFastqGenerator.BabyRead

- java.lang.Object
- - artificialFastqGenerator.AbstractRead
  - - artificialFastqGenerator.ArtificialFastqGenerator.BabyRead

- Enclosing class:
    ArtificialFastqGenerator

      public class ArtificialFastqGenerator.BabyRead
      extends AbstractRead

  A sequence of nucleobases which may be used to create a read. Has fields for (1) the sequence, (2) the index in the ArrayList nucleobases of the first nucleobase to prohibit read generation, either due to its target coverage constraint or the readsContainingN filter. A failure index of -1 means there was no failure.
  Author:
    mframpton

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArtificialFastqGenerator.BabyRead(int startIndexInNucleobases, int endIndexInNucleobases)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createSequence(int startIndexInNucleobases, int endIndexInNucleobases)`

    - ### Methods inherited from class artificialFastqGenerator.AbstractRead

      `getSequence, setSequence`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ArtificialFastqGenerator.BabyRead

          public ArtificialFastqGenerator.BabyRead(int startIndexInNucleobases,
                                           int endIndexInNucleobases)

  - ### Method Detail

    - #### createSequence

          public void createSequence(int startIndexInNucleobases,
                            int endIndexInNucleobases)